Subject: Re: bug#66797: 29.1; Debbugs refresh is ineffective when used with get-bug-by-id

From: Michael Albinus <[email-masked]>
Date: Sat, 28 Oct 2023 18:04:06 +0200

Bruno Victal <[email-masked]> writes:

Hi Bruno,

> 1. Start debbugs with `M-x debbugs-gnu'.
> 2. Use `M-x debbugs-gnu-get-bug-by-id <RET> nnnnn' to select any bug,
> preferably one that is open.
> 3. Open the bug and perform any action that would influence its
> status. (e.g. by replying to it but change the address to
> [email-masked])
> 4. Close article with 'q' / go back to the buffer created by
> debbugs-gnu-get-bug-by-id.
> 4.1. (Optional) Wait a bit for the server to catch up or receive
> the acknowledgment receipt via email.
> 5. Press 'g' or click 'Refresh Bugs' in menu. Observe that nothing
> happens, bug status is unchanged. (still displayed as 'open')
>
> It doesn't seem to be a time issue since if I close this buffer and
> reopen it again with `M-x debbugs-gnu-get-bug-by-id <RET> nnnnn' it
> correctly shows its updated status.

That is correct behavior. Refreshing the bugs consults the cache (which
expires after an hour). Getting fresh data from the debbugs.gnu.org
server requires 'C-u g'. See the manual (info "(debbugs-ug) Tabulated Lists")

--8<---------------cut here---------------start------------->8---
‘g’            ‘debbugs-gnu-rescan’
               Reload all bugs.  With a prefix argument ‘C-u’, the
               bug status cache is disabled, and all bug reports are
               retrieved from the GNU Debbugs server.
--8<---------------cut here---------------end--------------->8---

Best regards, Michael.